#### D.15.3.38 cProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  cProj(n); n integer

Return:
  list of integers

Purpose:
  computes the terms of positive degree of the total Chern class of the tangent bundle on the complex projective space

Note:

Example:

    LIB "chern.lib";
    ring r=0, (t), dp;
    // the coefficients of the total Chern class of the complex projective line
    print( cProj(1) );
    ==> [1]:
    ==>    2
    // the coefficients of the total Chern class of the complex projective line
    print( cProj(2) );
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    3
    // the coefficients of the total Chern class of the complex projective line
    print( cProj(3) );
    ==> [1]:
    ==>    4
    ==> [2]:
    ==>    6
    ==> [3]:
    ==>    4

User manual for Singular version 4-0-3, 2016, generated by texi2html.